# classes/phing/parser/PhingXMLContext.php

Track the current state of the Xml parse operation.

access
  public
author
  Bryan Davis
package
  phing.parser
version
  $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $

## \PhingXMLContext
jump to top

Track the current state of the Xml parse operation.

access
  public
author
  Bryan Davis
package
  phing.parser
version
  $Revision: 526 $ $Date: 2009-08-11 14:11:17 +0200 (Tue, 11 Aug 2009) $

### Properties

`$configurators= 'array'`
Default value `array` Details

Type

`$importStack= 'array'`

Impoerted files

Default value `array` Details

Type

`$project= ''`

The project to configure.

Details

Type

### Methods

`__construct( \$project $project ) :`
Constructor
Parameters

Name | Type | Description
--- | --- | ---
$project | \$project | the project to which this antxml context belongs to

`addImport( $file ) :`
Parameters

Name | Type | Description
--- | --- | ---
$file |  |

`endConfigure( ) :`
`getConfigurator( ) :`
`getImportStack( ) :`
`getProject( ) : \project`
find out the project to which this context belongs
Returns

Type | Description
--- | ---
\project |

`startConfigure( $cfg ) :`
Parameters

Name | Type | Description
--- | --- | ---
$cfg |  |

Documentation was generated by DocBlox 0.13.1.